LibreOffice: XImageManager Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XImageManager Interface Reference

specifies access functions to an images manager interface to add, replace and remove images associations to command URLs. More...

Inheritance diagram for XImageManager:

## Exported Interfaces
interface | com::sun::star::ui::XUIConfigurationPersistence
| provides access to persistence functions to load/store images data from a storage.
interface | com::sun::star::ui::XUIConfiguration
| provides functions to add and remove listeners for changes within an image manager.
interface | ::com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of an image manager instance.
interface | ::com::sun::star::lang::XInitialization
| initializes an image manager instance.

## Public Member Functions
void | reset () raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| resets the image manager to default data.
sequence< string > | getAllImageNames ([in] short nImageType)
| retrieves the list of command URLs which have images associated.
boolean | hasImage ([in] short nImageType, [in] string CommandURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determines if a command URL has an associated image.
sequence< ::com::sun::star::graphic::XGraphic > | getImages ([in] short nImageType, [in] sequence< string > aCommandURLSequence) raises ( com::sun::star::lang::IllegalArgumentException )
| retrieves the associated images of command URLs.
void | replaceImages ([in] short nImageType, [in] sequence< string > aCommandURLSequence, [in] sequence< ::com::sun::star::graphic::XGraphic > aGraphicsSequence) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| replaces the associated images of command URLs.
void | removeImages ([in] short nImageType, [in] sequence< string > CommandURLs) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| removes associated images to a command URL.
void | insertImages ([in] short nImageType, [in] sequence< string > aCommandURLSequence, [in] sequence< ::com::sun::star::graphic::XGraphic > aGraphicSequence) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| inserts new image/command associations to an image manager.
Public Member Functions inherited from XUIConfigurationPersistence
void | reload () raises ( ::com::sun::star::uno::Exception )
| reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data.
void | store () raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the provided storage, ignoring the previously set storage by setStorage().
boolean | isModified ()
| provides the current modify state of the configuration manager instance.
boolean | isReadOnly ()
| provides the current read-only state of the user configuration manager.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XUIConfiguration
void | addConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| adds the specified listener to receive events when elements are changed, inserted or removed.
void | removeConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| removes the specified listener so it does not receive any events from this user interface configuration manager.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.

## Detailed Description

specifies access functions to an images manager interface to add, replace and remove images associations to command URLs.

An image manager controls a number of image sets which are specified by an ImageType.

## Exported Interfaces

## ◆ ::com::sun::star::lang::XComponent

interface ::com::sun::star::lang::XComponent

allows controlling or observing the lifetime of an image manager instance.

The owner of the object may dispose of this object using com::sun::star::lang::XComponent::dispose().

## ◆ ::com::sun::star::lang::XInitialization

interface ::com::sun::star::lang::XInitialization

initializes an image manager instance.

An image manager instance must be initialized using com::sun::star::lang::XInitialization::initialize() before it can be used.
The following property must be provided if the image manager is related to a module:

- ModuleIdentifierspecifies a string property which is the unique identifier of module.
- UserConfigStoragespecifies a com::sun::star::embed::XStorage property which provides access to the configuration storage of the module.
- UserRootCommitspecifies an optional com::sun::star::embed::XTransactedObject property which makes it possible to commit a root storage.

## ◆ com::sun::star::ui::XUIConfiguration

interface com::sun::star::ui::XUIConfiguration

provides functions to add and remove listeners for changes within an image manager.

An image manager implementation notifies its listener whenever an image set has been changed, due to insert, remove or replace operations. To minimize the overhead for notifications an image manager places all inserted and/or replaced images into a single notify call. A container which implements com::sun::star::container::XNameAccess holds the information. The access key is a command URL and provides a com::sun::star::graphic::XGraphic. This container is placed into the com::sun::star::ui::ConfigurationEvent::Element. The image set which has been changed is put into the com::sun::star::ui::ConfigurationEvent::aInfo().

## ◆ com::sun::star::ui::XUIConfigurationPersistence

interface com::sun::star::ui::XUIConfigurationPersistence

provides access to persistence functions to load/store images data from a storage.

## Member Function Documentation

## ◆ getAllImageNames()

sequence< string > getAllImageNames | ( | [in] short | nImageType | ) |

retrieves the list of command URLs which have images associated.

Parameters

  nImageType | specifies the image type for this operation.

Returns
  all command URLs within the images manager that have an image associated.

## ◆ getImages()

sequence< ::com::sun::star::graphic::XGraphic > getImages | ( | [in] short | nImageType,
|  | [in] sequence< string > | aCommandURLSequence
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

retrieves the associated images of command URLs.

Parameters

  nImageType | specifies the image type for this association operation.
  aCommandURLSequence | a sequence of command URLs for which the images are requested.

Returns
  a sequence of graphics object which are associated with the provided command URLs. If an unknown command URL is provided or a command URL has no associated image a graphics object with an empty image is provided. If the sequence aCommandURLSequence contains an invalid command URL a com::sun::star::lang::IllegalArgumentException is thrown.

## ◆ hasImage()

boolean hasImage | ( | [in] short | nImageType,
|  | [in] string | CommandURL
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

determines if a command URL has an associated image.

Parameters

  nImageType | specifies the image type for this operation.
  CommandURL | a command URL that should be checked for an associated image.

Returns
  `TRUE` if an image is associated, otherwise `FALSE`.

## ◆ insertImages()

void insertImages | ( | [in] short | nImageType,
|  | [in] sequence< string > | aCommandURLSequence,
|  | [in] sequence< ::com::sun::star::graphic::XGraphic > | aGraphicSequence
| ) |  |
raises | ( | com::sun::star::container::ElementExistException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

inserts new image/command associations to an image manager.

Parameters

  nImageType | specifies the image type for this association operation.
  aCommandURLSequence | a sequence of command URLs which specify which commands get a new image.
  aGraphicSequence | a sequence of graphic objects which should be associated with the provided command URLs.

If an association is already present it is replaced. If aCommandURLSequence contains an invalid command URL a com::sun::star::lang::IllegalArgumentException is thrown. If the configuration manager is read-only a com::sun::star::lang::IllegalAccessException is thrown.

## ◆ removeImages()

void removeImages | ( | [in] short | nImageType,
|  | [in] sequence< string > | CommandURLs
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

removes associated images to a command URL.

Parameters

  nImageType | specifies the image type for this association operation.
  CommandURLs | a sequence of command URLs for which the images should be removed.

If the aCommandURLSequence contains an invalid command URL a com::sun::star::lang::IllegalArgumentException is thrown. If the image manager is associated with a read-only configuration manager a com::sun::star::lang::IllegalAccessException is thrown.

## ◆ replaceImages()

void replaceImages | ( | [in] short | nImageType,
|  | [in] sequence< string > | aCommandURLSequence,
|  | [in] sequence< ::com::sun::star::graphic::XGraphic > | aGraphicsSequence
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

replaces the associated images of command URLs.

Parameters

  nImageType | specifies the image type for this association operation.
  aCommandURLSequence | a sequence of command URLs for which images should be replaced.
  aGraphicsSequence | a sequence of graphic objects which should replace the old images of the provided command URLs.

If a command URL cannot be found the replace call will be omitted. If aCommandURLSequence contains an invalid command URL a com::sun::star::lang::IllegalArgumentException is thrown. If the image manager is associated with a read-only configuration manager a com::sun::star::lang::IllegalAccessException is thrown.

## ◆ reset()

void reset | ( |  | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IllegalAccessException
| ) |  |

resets the image manager to default data.

This means that all user images of the instance will be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XImageManager.idl